# std::allocator::allocator

From cppreference.com
< cpp‎ | memory‎ | allocator

allocator(); | (1) |
allocator( const allocator& other ); | (2) |
template< class U > allocator( const allocator<U>& other ); | (3) |

Constructs the default allocator. Since the default allocator is stateless, the constructors have no visible effect.

### Parameters

other | - | another allocator to construct with

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/allocator/allocator&oldid=91906"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template